Bug 189933 - CVE-2006-2024 multiple libtiff issues (CVE-2006-2025, CVE-2006-2026)
CVE-2006-2024 multiple libtiff issues (CVE-2006-2025, CVE-2006-2026)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libtiff (Show other bugs)
4.0
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Matthias Clasen
source=vendorsec,reported=20060411,pu...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 17:20 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0425
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 07:32:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch extracted from upstream CVS (14.72 KB, patch)
2006-04-25 17:20 EDT, Josh Bressers
no flags Details | Diff
patch that applies to RHEL21 and RHEL3 (6.49 KB, patch)
2006-04-26 10:44 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-04-25 17:20:12 EDT
Created attachment 128227 [details]
Patch extracted from upstream CVS
Comment 1 Josh Bressers 2006-04-25 17:20:12 EDT
Several libtiff issues were reported upstream in this bug:
http://bugzilla.remotesensing.org/show_bug.cgi?id=1102

Here is the changelog information for these issues (mangled to groups issues
together).  The dates are as such:

2006-03-07  Andrey Kiselev  <dron@ak4719.spb.edu>
2006-03-03  Andrey Kiselev  <dron@ak4719.spb.edu>


Denial of service
-----------------
    * libtiff/tif_dirread.c: Fixed error reporting in TIFFFetchAnyArray()
    function

    * libtiff/{tif_lzw.c, tif_pixarlog.c, tif_zip.c}: Use
    TIFFPredictorCleanup() in codec cleanup methods.

    * libtiff/{tif_jpeg.c, tif_pixarlog.c, tif_fax3.c, tif_zip.c}:
    Properly restore setfield/getfield methods in cleanup functions.

    * libtiff/{tif_predict.c, tif_predict.h}: Added new function
    TIFFPredictorCleanup() to restore parent decode/encode/field methods.

Integer Overflow
----------------
    * libtiff/tif_dirread.c: Fixed integer overflow condition in
    TIFFFetchData() function.

    * libtiff/tif_dirread.c: More wise check for integer overflow
    condition

Double Free
-----------
    * libtiff/{tif_jpeg.c, tif_pixarlog.c, tif_fax3.c, tif_zip.c}:
    Properly restore setfield/getfield methods in cleanup functions.

    Only the tif_jpeg.c patch has been shown to cause a double free issue.
    This block is the same as the one in the DoS section, just copied here for
    the double free description.


These issues seem to affect RHEL2.1 and RHEL3

The quick testing I did consisted of running tiffinfo over the reproducers in
the upstream bug, only the attachment in comment #1 crashed on RHEL.  A source
analysis may be needed to verify all these issues.
Comment 3 Matthias Clasen 2006-04-26 10:44:35 EDT
Created attachment 128255 [details]
patch that applies to RHEL21 and RHEL3
Comment 7 Red Hat Bugzilla 2006-05-09 07:32:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0425.html

Note You need to log in before you can comment on or make changes to this bug.